Skip to content
Pile
Esc
navigateopen⌘Jpreview

Create issue attachment

POST/workspaces/{organizationId}/issues/{issueId}/attachments
Path parameters
organizationIdstringrequired
issueIdstringrequired
Request body
application/json
urlstring<uri>required
titlestring
subtitlestring
Responses
201Attachment created
idstringrequired
organizationIdstringrequired
issueIdstringrequired
linearIdstringrequired
urlstringrequired
titlestring | nullrequired
subtitlestring | nullrequired
r2Keystring | nullrequired
createdAtstringrequired
404Issue not found
Try it
Server
Parameters
Bodyapplication/json
Request
curl -X POST "/workspaces/string/issues/string/attachments" \
  -H "Content-Type: application/json" \
  -d '{
  "url": "http://example.com",
  "title": "string",
  "subtitle": "string"
}'
Response
{
  "id": "string",
  "organizationId": "string",
  "issueId": "string",
  "linearId": "string",
  "url": "string",
  "title": "string",
  "subtitle": "string",
  "r2Key": "string",
  "createdAt": "string"
}